PDA

View Full Version : How to use libVLC in Qt4



JuanC
14th September 2008, 11:20
VLC 0.9x versions uses Qt4.

I see libVLC API document at http://wiki.videolan.org/ExternalAPI

I want to include a VLC Video Player inside a form using libVLC , how to do this?

Thanks.

jpn
15th September 2008, 11:20
What have you tried so far? Have you been able to link the library to your app?

muellerp
16th September 2008, 17:11
There is a project for integrating VLC into Phonon:
http://code.google.com/p/phonon-vlc-mplayer/

Maybe it already solves your issues with usage of Phonon or at least it may help you in case you are working on GLP software.

luf
30th September 2008, 14:31
As the new VLC player is written in QT, I suppose it could give you a few hints.

Try getting the source from the VLC repos.

cheers,
Leif

nhs_0702
12th March 2010, 09:14
if i want add LibVLC to QT 4.6.2,how does me do

toutarrive
12th March 2010, 10:12
As far as i can remember about VLC, you will need to have the proper include and lib.
In your pro file add the following to link the library.

LIBS+=-lvlc

bijendra
12th February 2013, 18:14
from where can I get libVLC ?? I m using rhel 6 and qt 4.7.3. if somebody knows please share the link or library itself..
Thanks in advance.

d_stranz
12th February 2013, 20:55
Try this link (http://lmgtfy.com/?q=libVLC).